### File

`packages/components/eui-overlay/eui-overlay.component.ts`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-overlay`
imports | `CdkTrapFocus`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-overlay.component.html`

### Index

###### Properties
aria-label role
###### Methods
onClick onKeydown
###### Inputs
euiHighlighted fixedWidth hasClosedOnClickOutside isActive position width
###### Outputs
activeState
###### HostBindings
attr.aria-label attr.inert attr.role class
###### HostListeners
document:click keydown
###### Accessors
cssClasses inert

### Inputs

euiHighlighted
Type : `boolean`
Default value : `false`

fixedWidth
Type : `string`

hasClosedOnClickOutside
Type : `boolean`
Default value : `false`

isActive
Type : `boolean`
Default value : `false`

position
Type : `string`
Default value : `'right'`

width
Type : `string`

### Outputs

activeState
Type : `EventEmitter`

### HostBindings

attr.aria-label
Type : `string`
Default value : `'dialogOverlay'`

attr.inert
Type : `string`

attr.role
Type : `string`
Default value : `'dialog'`

class
Type : `string`

### HostListeners

document:click
Arguments : `'$event'`
`document:click(event: MouseEvent)`

keydown
Arguments : `'$event'`
`keydown(event: KeyboardEvent)`

### Methods

onClick
`onClick(event: MouseEvent)`
Decorators : `@HostListener('document:click', ['$event'])`
Parameters :
Name | Type | Optional
event | `MouseEvent` | No
Returns : `void`

onKeydown
`onKeydown(event: KeyboardEvent)`
Decorators : `@HostListener('keydown', ['$event'])`
Parameters :
Name | Type | Optional
event | `KeyboardEvent` | No
Returns : `void`

### Properties

aria-label
Type : `string`
Default value : `'dialogOverlay'`
Decorators : `@HostBinding('attr.aria-label')`

role
Type : `string`
Default value : `'dialog'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

inert
get `inert()`

# results matching ""

# No results matching ""